{
===============================================================================
  Copyright (©) 2007. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 
  Versión actual: 1.0.0
  Fecha versión actual: 
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit uBizPagosProveedor;

interface

uses
  uDAInterfaces, uDADataTable, uDBSelectionListUtils, schRecibosProveedorClient_Intf;

const
  BIZ_CLIENT_IBIZPAGOSPROVEEDOR = 'Client.IBizPagosProveedor';

  CTE_PAGO = 'Pago';
  CTE_DEVOLUCION = 'Devolución';

type
  IBizPagosProveedor = interface(IPagosProveedor)
  ['{5446E4B5-09E7-4FF0-ACFE-E157E9CADB17}']
  end;

  TBizPagosProveedor = class(TPagosProveedorDataTableRules, IBizPagosProveedor)
  private
    ContIdAux: Integer;
  protected
    procedure OnNewRecord(Sender: TDADataTable); override;
  public
    constructor Create(aDataTable: TDADataTable); override;
  end;

implementation

uses
  SysUtils, uDataTableUtils;

{ TBizPagosProveedor }

constructor TBizPagosProveedor.Create(aDataTable: TDADataTable);
begin
  inherited Create(aDataTable);
  ContIdAux := -1;
end;

procedure TBizPagosProveedor.OnNewRecord(Sender: TDADataTable);
begin
  inherited;
  ID := ContIdAux; // -1, -2, -3...
  Dec(ContIdAux);
end;

initialization
  RegisterDataTableRules(BIZ_CLIENT_IBIZPAGOSPROVEEDOR, TBizPagosProveedor);

finalization

end.

